#!/usr/bin/env python

import sys, os
import viewer
from annotate import Importer, load

if __name__ == "__main__":

    importer = Importer(sys.path)
    builtins = load(os.path.join("lib", "builtins.py"))
    module = load(sys.argv[1], builtins, importer)

    if "-d" in sys.argv:
        viewer.makedocs(module, importer.modules, builtins)

# vim: tabstop=4 expandtab shiftwidth=4
